Run of lintian-fixes for libscrappy-perl

Try this locally (using the lintian-brush package):

debcheckout libscrappy-perl
cd libscrappy-perl
lintian-brush

Merge these changes:

Summary

Diff

diff --git a/debian/changelog b/debian/changelog
index 2acf089..537e6b1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -21,6 +21,10 @@ libscrappy-perl (0.94112090-3) UNRELEASED; urgency=medium
   [ gregor herrmann ]
   * debian/watch: use uscan version 4.
 
+  [ Debian Janitor ]
+  * Bump debhelper from deprecated 8 to 12.
+  * Set debhelper-compat version in Build-Depends.
+
  -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Aug 2014 09:34:47 +0200
 
 libscrappy-perl (0.94112090-2) unstable; urgency=medium
diff --git a/debian/compat b/debian/compat
deleted file mode 100644
index 45a4fb7..0000000
--- a/debian/compat
+++ /dev/null
@@ -1 +0,0 @@
-8
diff --git a/debian/control b/debian/control
index 0904817..bad1a4c 100644
--- a/debian/control
+++ b/debian/control
@@ -3,7 +3,7 @@ Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Section: perl
 Testsuite: autopkgtest-pkg-perl
 Priority: optional
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: perl,
                      libarray-unique-perl,
                      libdatetime-perl,

Publish History

  • 2020-03-08T01:41: Successfully pushed (Success)

Full worker log Full build log